export declare const createCuentaSchema: import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    isAdmin: import("zod").ZodDefault<import("zod").ZodBoolean>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    filtroBase: import("zod").ZodObject<{
        etiquetas: import("zod").ZodObject<import("zod").objectUtil.extendShape<Pick<{
            id: import("zod").ZodString;
            name: import("zod").ZodString;
            groupId: import("zod").ZodString;
            type: import("zod").ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: import("zod").ZodString;
            updated_at: import("zod").ZodString;
        }, "id" | "name">, {
            grupo: import("zod").ZodObject<Pick<{
                id: import("zod").ZodString;
                name: import("zod").ZodString;
                color: import("zod").ZodString;
                isExclusive: import("zod").ZodBoolean;
                created_at: import("zod").ZodString;
                updated_at: import("zod").ZodString;
            }, "id" | "color" | "isExclusive">, "strip", import("zod").ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", import("zod").ZodTypeAny, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: import("zod").ZodBoolean;
    }, "strip", import("zod").ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    filtroBaseActivo: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "username" | "password" | "isAdmin">, "strip", import("zod").ZodTypeAny, {
    username: string;
    password: string;
    isAdmin: boolean;
}, {
    username: string;
    password: string;
    isAdmin?: boolean | undefined;
}>;
declare const CreateCuentaDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<Pick<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    isAdmin: import("zod").ZodDefault<import("zod").ZodBoolean>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    filtroBase: import("zod").ZodObject<{
        etiquetas: import("zod").ZodObject<import("zod").objectUtil.extendShape<Pick<{
            id: import("zod").ZodString;
            name: import("zod").ZodString;
            groupId: import("zod").ZodString;
            type: import("zod").ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: import("zod").ZodString;
            updated_at: import("zod").ZodString;
        }, "id" | "name">, {
            grupo: import("zod").ZodObject<Pick<{
                id: import("zod").ZodString;
                name: import("zod").ZodString;
                color: import("zod").ZodString;
                isExclusive: import("zod").ZodBoolean;
                created_at: import("zod").ZodString;
                updated_at: import("zod").ZodString;
            }, "id" | "color" | "isExclusive">, "strip", import("zod").ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", import("zod").ZodTypeAny, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: import("zod").ZodBoolean;
    }, "strip", import("zod").ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    filtroBaseActivo: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "username" | "password" | "isAdmin">, "strip", import("zod").ZodTypeAny, {
    username: string;
    password: string;
    isAdmin: boolean;
}, {
    username: string;
    password: string;
    isAdmin?: boolean | undefined;
}>>;
export declare class CreateCuentaDto extends CreateCuentaDto_base {
}
export declare const createCuentaResponseSchema: import("zod").ZodObject<Omit<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    isAdmin: import("zod").ZodDefault<import("zod").ZodBoolean>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    filtroBase: import("zod").ZodObject<{
        etiquetas: import("zod").ZodObject<import("zod").objectUtil.extendShape<Pick<{
            id: import("zod").ZodString;
            name: import("zod").ZodString;
            groupId: import("zod").ZodString;
            type: import("zod").ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: import("zod").ZodString;
            updated_at: import("zod").ZodString;
        }, "id" | "name">, {
            grupo: import("zod").ZodObject<Pick<{
                id: import("zod").ZodString;
                name: import("zod").ZodString;
                color: import("zod").ZodString;
                isExclusive: import("zod").ZodBoolean;
                created_at: import("zod").ZodString;
                updated_at: import("zod").ZodString;
            }, "id" | "color" | "isExclusive">, "strip", import("zod").ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", import("zod").ZodTypeAny, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: import("zod").ZodBoolean;
    }, "strip", import("zod").ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    filtroBaseActivo: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "created_at" | "updated_at" | "password" | "filtroBase">, "strip", import("zod").ZodTypeAny, {
    id: string;
    username: string;
    isAdmin: boolean;
    filtroBaseActivo: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    isAdmin?: boolean | undefined;
    filtroBaseActivo?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>;
declare const CreateCuentaResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<Omit<{
    id: import("zod").ZodString;
    username: import("zod").ZodString;
    password: import("zod").ZodString;
    isAdmin: import("zod").ZodDefault<import("zod").ZodBoolean>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
    filtroBase: import("zod").ZodObject<{
        etiquetas: import("zod").ZodObject<import("zod").objectUtil.extendShape<Pick<{
            id: import("zod").ZodString;
            name: import("zod").ZodString;
            groupId: import("zod").ZodString;
            type: import("zod").ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: import("zod").ZodString;
            updated_at: import("zod").ZodString;
        }, "id" | "name">, {
            grupo: import("zod").ZodObject<Pick<{
                id: import("zod").ZodString;
                name: import("zod").ZodString;
                color: import("zod").ZodString;
                isExclusive: import("zod").ZodBoolean;
                created_at: import("zod").ZodString;
                updated_at: import("zod").ZodString;
            }, "id" | "color" | "isExclusive">, "strip", import("zod").ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", import("zod").ZodTypeAny, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: import("zod").ZodBoolean;
    }, "strip", import("zod").ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    filtroBaseActivo: import("zod").ZodDefault<import("zod").ZodBoolean>;
    fcmToken: import("zod").ZodDefault<import("zod").ZodArray<import("zod").ZodString, "many">>;
}, "created_at" | "updated_at" | "password" | "filtroBase">, "strip", import("zod").ZodTypeAny, {
    id: string;
    username: string;
    isAdmin: boolean;
    filtroBaseActivo: boolean;
    fcmToken: string[];
}, {
    id: string;
    username: string;
    isAdmin?: boolean | undefined;
    filtroBaseActivo?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>>;
export declare class CreateCuentaResponseDto extends CreateCuentaResponseDto_base {
}
export {};
